Package mvpa :: Package clfs :: Module meta :: Class ClassifierCombiner

[hide private]
[frames] | no frames]

# Class ClassifierCombiner

source code

Provides a decision using training a classifier on predictions/values

TODO: implement

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self, clf, variables=None) Initialize ClassifierCombiner | source code

untrain(self) It might be needed to untrain used classifier | source code

__call__(self, clfs, dataset) Call function | source code

Inherited from `PredictionsCombiner`: `train` Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__repr__`, `__setattr__`, `__str__`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| predictions = `StateVariable(enabled= True, doc= "Trained predi`...``
Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Instance Variables | [hide private]

| __clf Classifier to train on `variables` states of provided classifiers
| __variables What state variables of the classifiers to use

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, clf, variables=None)
(Constructor)

source code

Initialize ClassifierCombiner

Parameters:
  - `clf` (Classifier) - Classifier to train on the predictions
  - `variables` (list of basestring) - List of state variables stored in 'combined' classifiers, which to use as features for training this classifier
Overrides: object.__init__

### __call__(self, clfs, dataset)
(Call operator)

source code

Call function

Parameters:
  - `clfs` - List of classifiers to combine. Has to be classifiers (not pure predictions), since combiner might use some other state variables (value's) instead of pure prediction's
Overrides: PredictionsCombiner.__call__

Class Variable Details | [hide private]

### predictions

Value:

      StateVariable(enabled= True, doc= "Trained predictions")